psipng {
	INCLUDEPATH += $$PSIPNG_CPP

	SOURCES += \
		$$PSIPNG_CPP/psipng.cpp

	HEADERS += \
		$$PSIPNG_CPP/psipng.h
}

psimng {
	DEFINES += PSIMNG

	SOURCES += \
		$$PSIPNG_CPP/psimng.cpp

	HEADERS += \
		$$PSIPNG_CPP/psimng.h

	CONFIG += system-mng system-jpeg
        system-mng {
		win32:LIBS += libmng.lib
        	unix:LIBS  += -lmng
        } else {
		# TODO: include jpeg files too
		MNGSRC = $(QTDIR)/src/3rdparty/libmng

		INCLUDEPATH += $$MNGSRC
		SOURCES += \
			$$MNGSRC/libmng_callback_xs.c \
			$$MNGSRC/libmng_chunk_io.c \
			$$MNGSRC/libmng_chunk_prc.c \
			$$MNGSRC/libmng_chunk_xs.c \
			$$MNGSRC/libmng_cms.c \
			$$MNGSRC/libmng_display.c \
			$$MNGSRC/libmng_dither.c \
			$$MNGSRC/libmng_error.c \
			$$MNGSRC/libmng_filter.c \
			$$MNGSRC/libmng_hlapi.c \
			$$MNGSRC/libmng_jpeg.c \
			$$MNGSRC/libmng_object_prc.c \
			$$MNGSRC/libmng_pixels.c \
			$$MNGSRC/libmng_prop_xs.c \
			$$MNGSRC/libmng_read.c \
			$$MNGSRC/libmng_trace.c \
			$$MNGSRC/libmng_write.c \
			$$MNGSRC/libmng_zlib.c

		no-jpeg {
			message(Use of mng requires support for jpeg)
			CONFIG += jpeg
		} else:!jpeg {
			message(Use of mng requires support for jpeg)
			CONFIG += jpeg
		}

		jpeg {
			system-jpeg {
				unix:LIBS += -ljpeg
				win32:LIBS += libjpeg.lib
		} else {
			JPEGSRC = $(QTDIR)/src/3rdparty/libjpeg

			INCLUDEPATH += $$JPEGSRC
			SOURCES += \
				$$JPEGSRC/jcapimin.c \
				$$JPEGSRC/jcapistd.c \
				$$JPEGSRC/jccoefct.c \
				$$JPEGSRC/jccolor.c \
				$$JPEGSRC/jcdctmgr.c \
				$$JPEGSRC/jchuff.c \
				$$JPEGSRC/jcinit.c \
				$$JPEGSRC/jcmainct.c \
				$$JPEGSRC/jcmarker.c \
				$$JPEGSRC/jcmaster.c \
				$$JPEGSRC/jcomapi.c \
				$$JPEGSRC/jcparam.c \
				$$JPEGSRC/jcphuff.c \
				$$JPEGSRC/jcprepct.c \
				$$JPEGSRC/jcsample.c \
				$$JPEGSRC/jctrans.c \
				$$JPEGSRC/jdapimin.c \
				$$JPEGSRC/jdapistd.c \
				$$JPEGSRC/jdatadst.c \
				$$JPEGSRC/jdatasrc.c \
				$$JPEGSRC/jdcoefct.c \
				$$JPEGSRC/jdcolor.c \
				$$JPEGSRC/jddctmgr.c \
				$$JPEGSRC/jdhuff.c \
				$$JPEGSRC/jdinput.c \
				$$JPEGSRC/jdmainct.c \
				$$JPEGSRC/jdmarker.c \
				$$JPEGSRC/jdmaster.c \
				$$JPEGSRC/jdmerge.c \
				$$JPEGSRC/jdphuff.c \
				$$JPEGSRC/jdpostct.c \
				$$JPEGSRC/jdsample.c \
				$$JPEGSRC/jdtrans.c \
				$$JPEGSRC/jerror.c \
				$$JPEGSRC/jfdctflt.c \
				$$JPEGSRC/jfdctfst.c \
				$$JPEGSRC/jfdctint.c \
				$$JPEGSRC/jidctflt.c \
				$$JPEGSRC/jidctfst.c \
				$$JPEGSRC/jidctint.c \
				$$JPEGSRC/jidctred.c \
				$$JPEGSRC/jmemmgr.c \
				$$JPEGSRC/jquant1.c \
				$$JPEGSRC/jquant2.c \
				$$JPEGSRC/jutils.c \
				$$JPEGSRC/jmemansi.c
        		}
		}
        }
}
